XSetWMIconName(3)

NAME
XSetWMIconName, XGetWMIconName, XSetIconName, XGetIconName - set or read a window's WM_ICON_NAME property

SYNTAX

void XSetWMIconName(Display *display, Window w, XTextProperty *text_prop);

Status XGetWMIconName(Display *display, Window w, XTextProperty *text_prop_return);

int XSetIconName(Display *display, Window w, _Xconst char *icon_name);

Status XGetIconName(Display *display, Window w, char **icon_name_return);

ARGUMENTS

display
    Specifies the connection to the X server.

icon_name
    Specifies the icon name, which should be a null-terminated string.

icon_name_return
    Returns the window's icon name, which is a null-terminated string.

text_prop
    Specifies the XTextProperty structure to be used.

text_prop_return
    Returns the XTextProperty structure.

w   Specifies the window.

DESCRIPTION
The XSetWMIconName convenience function calls XSetTextProperty to set the WM_ICON_NAME property.

The XGetWMIconName convenience function calls XGetTextProperty to obtain the WM_ICON_NAME property. It returns a nonzero status on success; otherwise, it returns a zero status.

The XSetIconName function sets the name to be displayed in a window's icon.

XSetIconName can generate BadAlloc and BadWindow errors.

The XGetIconName function returns the name to be displayed in the specified window's icon. If it succeeds, it returns a nonzero status; otherwise, if no icon name has been set for the window, it returns zero. If you never assigned a name to the window, XGetIconName sets icon_name_return to NULL. If the data returned by the server is in the Latin Portable Character Encoding, then the returned string is in the Host Portable Character Encoding. Otherwise, the result is implementation-dependent. When finished with it, a client must free the icon name string using XFree.

XGetIconName can generate a BadWindow error.

PROPERTIES

WM_ICON_NAME
    The name to be used in an icon.

DIAGNOSTICS

BadAlloc
    The server failed to allocate the requested resource or server memory.

BadWindow
    A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(3), XAllocIconSize(3), XAllocSizeHints(3), XAllocWMHints(3), XFree(3), XSetCommand(3), XSetTransientForHint(3), XSetTextProperty(3), XSetWMClientMachine(3), XSetWMColormapWindows(3), XSetWMName(3), XSetWMProperties(3), XSetWMProtocols(3), XStringListToTextProperty(3)
Xlib - C Language X Interface